## EntangleImageLoader

EntangleImageLoader — a tool for loading full resolution images

## Functions

EntangleImageLoader * | entangle_image_loader_new ()
void | entangle_image_loader_add ()
void | entangle_image_loader_remove ()
gboolean | entangle_image_loader_get_embedded_preview ()
void | entangle_image_loader_set_embedded_preview ()

## Properties

gboolean | embedded-preview | Read / Write / Construct Only

## Types and Values

#define | ENTANGLE_TYPE_IMAGE_LOADER
| EntangleImageLoader

## Object Hierarchy

        GObject
        ╰── EntanglePixbufLoader
            ╰── EntangleImageLoader

## Description

The EntangleImageLoader object provides a way to load the full resolution image data.

## Functions

### entangle_image_loader_new ()

    EntangleImageLoader *
    entangle_image_loader_new (void);

### entangle_image_loader_add ()

    void
    entangle_image_loader_add (EntangleImageLoader *loader,
                               EntangleImage *image);

### entangle_image_loader_remove ()

    void
    entangle_image_loader_remove (EntangleImageLoader *loader,
                                  EntangleImage *image);

### entangle_image_loader_get_embedded_preview ()

    gboolean
    entangle_image_loader_get_embedded_preview
                                   (EntangleImageLoader *loader);

### entangle_image_loader_set_embedded_preview ()

    void
    entangle_image_loader_set_embedded_preview
                                   (EntangleImageLoader *loader,
                                    gboolean enable);

## Types and Values

### ENTANGLE_TYPE_IMAGE_LOADER

    #define ENTANGLE_TYPE_IMAGE_LOADER (entangle_image_loader_get_type())

### EntangleImageLoader

    typedef struct _EntangleImageLoader EntangleImageLoader;

## Property Details

### The `“embedded-preview”` property

      “embedded-preview”         gboolean

Use embedded preview.

Owner: EntangleImageLoader

Flags: Read / Write / Construct Only

Default value: FALSE